Bug 90657 - Stub .INI Files Do Not Point To Module Path
Summary: Stub .INI Files Do Not Point To Module Path
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-12 03:49 UTC by Bob Cochran
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-13 08:06:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bob Cochran 2003-05-12 03:49:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
This references the php.spec file. Navigate to this comment line:

# Generate files lists and stub .ini files for each subpackage
4 lines below this is the script line

extension=${mod}.so

However the modules are actually in /usr/lib/php4 and the extension line above
does not point to that. The result is that none of the modules in the differing
.ini files (pgsql, mysql, etc) will actually load. Error messages appear in
/var/log/httpd/error_log.



Version-Release number of selected component (if applicable):
4.2.2-17

How reproducible:
Didn't try


Expected Results:  For example, /etc/sysconfig/php.d/mysql.ini should contain
this extension line:

extension=/usr/lib/php4/mysql.so

Additional info:

Comment 1 Joe Orton 2003-05-12 08:11:57 UTC
Have you changed the extension_dir?  /etc/php.ini has:

extension_dir = /usr/lib/php4

so unless you've changed this I don't see why it shouldn't work.

Comment 2 Bob Cochran 2003-05-12 22:22:34 UTC
Ooops! I see my extension_dir in php.ini is ./ which explains things. I
apologize for not checking this more carefully. 

When you generate the stub .ini files in the php.spec script, consider adding a
comment line to each file:

; Also see setting of extension_dir in /etc/sysconfig/php.ini

Feel free to close this.

Thanks

Bob Cochran

Comment 3 Joe Orton 2003-05-13 08:06:55 UTC
OK, thanks. Changing the files would mean creating a bunch of .rpmsave's on
upgrades so we'll probably not do that.


Note You need to log in before you can comment on or make changes to this bug.